/[gentoo-x86]/www-apps/moodle/ChangeLog
Gentoo

Contents of /www-apps/moodle/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.40 - (show annotations) (download)
Mon Mar 18 21:11:48 2013 UTC (17 months ago) by blueness
Branch: MAIN
Changes since 1.39: +5 -1 lines
Remove version broken by regression

(Portage version: 2.1.11.52/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)

1 # ChangeLog for www-apps/moodle
2 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.39 2013/03/18 15:57:53 blueness Exp $
4
5 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.8.ebuild,
6 -moodle-2.3.5.ebuild, -moodle-2.4.2.ebuild:
7 Remove version broken by regression
8
9 *moodle-2.2.9 (18 Mar 2013)
10 *moodle-2.4.3 (18 Mar 2013)
11 *moodle-2.3.6 (18 Mar 2013)
12
13 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.9.ebuild,
14 +moodle-2.3.6.ebuild, +moodle-2.4.3.ebuild:
15 Version bumps, fix major regression,
16 https://tracker.moodle.org/browse/MDL-38474
17
18 *moodle-2.4.2 (09 Mar 2013)
19 *moodle-2.3.5 (09 Mar 2013)
20 *moodle-2.2.8 (09 Mar 2013)
21
22 09 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.8.ebuild,
23 +moodle-2.3.5.ebuild, +moodle-2.4.2.ebuild:
24 Version bumps
25
26 27 Jan 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.6.ebuild,
27 -moodle-2.3.3.ebuild, -moodle-2.4.ebuild:
28 Remove vulnerable versions, bug #454318
29
30 *moodle-2.2.7 (12 Jan 2013)
31 *moodle-2.3.4 (12 Jan 2013)
32 *moodle-2.4.1 (12 Jan 2013)
33
34 12 Jan 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.7.ebuild,
35 +moodle-2.3.4.ebuild, +moodle-2.4.1.ebuild, -moodle-2.1.9.ebuild:
36 Version bumps
37
38 *moodle-2.4 (07 Dec 2012)
39
40 07 Dec 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.ebuild:
41 Version bump to new branch
42
43 15 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.8.ebuild,
44 -moodle-2.2.5.ebuild, -moodle-2.3.2.ebuild:
45 Remove vulnerable versions, bug #443102
46
47 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.19.ebuild,
48 -moodle-2.0.10.ebuild:
49 Remove older unsupported versions
50
51 *moodle-2.1.9 (10 Nov 2012)
52 *moodle-2.3.3 (10 Nov 2012)
53 *moodle-2.2.6 (10 Nov 2012)
54
55 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.9.ebuild,
56 +moodle-2.2.6.ebuild, +moodle-2.3.3.ebuild:
57 Version bumps
58
59 17 Sep 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.7.ebuild,
60 -moodle-2.2.4.ebuild, -moodle-2.3.1.ebuild:
61 Drop vulnerable versions, bug #435364
62
63 *moodle-2.3.2 (12 Sep 2012)
64 *moodle-2.2.5 (12 Sep 2012)
65 *moodle-2.1.8 (12 Sep 2012)
66
67 12 Sep 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.8.ebuild,
68 +moodle-2.2.5.ebuild, +moodle-2.3.2.ebuild:
69 Version bumps
70
71 24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
72 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
73 moodle-2.3.1.ebuild:
74 Use REQUIRED_USE so at least one backend db is provided, bug #432354
75
76 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
77 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
78 moodle-2.3.1.ebuild:
79 Keyword ~mips
80
81 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
82 -moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
83 -moodle-2.3.ebuild:
84 Punt older versions
85
86 *moodle-2.3.1 (06 Jul 2012)
87 *moodle-2.2.4 (06 Jul 2012)
88 *moodle-2.1.7 (06 Jul 2012)
89 *moodle-2.0.10 (06 Jul 2012)
90 *moodle-1.9.19 (06 Jul 2012)
91
92 06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
93 +moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
94 +moodle-2.3.1.ebuild:
95 Version bump
96
97 *moodle-2.3 (26 Jun 2012)
98
99 26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
100 Version bump
101
102 23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
103 -moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
104 Punt vulnerable versions, bug #417217
105
106 *moodle-2.2.3 (16 May 2012)
107 *moodle-2.1.6 (16 May 2012)
108 *moodle-2.0.9 (16 May 2012)
109 *moodle-1.9.18 (16 May 2012)
110
111 16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
112 +moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
113 Version bump all branches
114
115 04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
116 -moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
117 -moodle-2.2.1-r1.ebuild:
118 Remove older vulnerable versions
119
120 *moodle-2.2.2 (12 Mar 2012)
121 *moodle-2.1.5 (12 Mar 2012)
122 *moodle-2.0.8 (12 Mar 2012)
123 *moodle-1.9.17 (12 Mar 2012)
124
125 12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
126 +moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
127 Version bumps
128
129 07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
130 moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
131 -moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
132 moodle-2.2.1-r1.ebuild:
133 Remove older versions depending on php with gd-external
134
135 *moodle-2.2.1-r1 (29 Jan 2012)
136 *moodle-2.1.4-r1 (29 Jan 2012)
137 *moodle-2.0.7-r1 (29 Jan 2012)
138 *moodle-1.9.16-r1 (29 Jan 2012)
139
140 29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
141 +moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
142 +moodle-2.2.1-r1.ebuild:
143 Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
144 add session to PHP_REQUIRED_FLAGS_*, bug #400853
145
146 14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
147 -moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
148 Removed vulnerable versions
149
150 *moodle-2.2.1 (08 Jan 2012)
151
152 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
153 Added ebuild for the 2.2 branch
154
155 *moodle-2.1.4 (08 Jan 2012)
156 *moodle-2.0.7 (08 Jan 2012)
157 *moodle-1.9.16 (08 Jan 2012)
158
159 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
160 +moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
161 Version bumps
162
163 07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
164 -moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
165 Removed vulnerable versions, bug #393475
166
167 *moodle-2.1.3 (29 Nov 2011)
168 *moodle-2.0.6 (29 Nov 2011)
169 *moodle-1.9.15 (29 Nov 2011)
170
171 29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
172 +moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
173 Version bumps
174
175 19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
176 -moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
177 Remove deprecated versions
178
179 *moodle-2.1.2 (09 Oct 2011)
180 *moodle-2.0.5 (09 Oct 2011)
181 *moodle-1.9.14 (09 Oct 2011)
182
183 09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
184 +moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
185 Version bumps
186
187 18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
188 -moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
189 Removed decprecated versions
190
191 *moodle-2.1.1 (02 Aug 2011)
192 *moodle-2.0.4 (02 Aug 2011)
193 *moodle-1.9.13 (02 Aug 2011)
194
195 02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
196 +moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
197 Version bumps
198
199 12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
200 moodle-2.0.3.ebuild, moodle-2.1.ebuild:
201 Make moodle depend on either php[gd] or php[gd-external], bug #374605
202
203 *moodle-2.1 (09 Jul 2011)
204
205 09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
206 -moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
207 Version bump, removed depcreated
208
209 *moodle-2.0.3 (11 May 2011)
210 *moodle-1.9.12 (11 May 2011)
211
212 11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
213 +moodle-2.0.3.ebuild:
214 Version bumps address several security issues.
215 See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
216 and http://docs.moodle.org/en/Moodle_2.0.3_release_notes
217
218 10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
219 -moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
220 Removed decprecated versions, bug #353431
221
222 *moodle-2.0.2 (22 Feb 2011)
223 *moodle-1.9.11 (22 Feb 2011)
224
225 22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
226 +moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
227 Version bumps.
228
229 *moodle-2.0.1 (08 Jan 2011)
230
231 08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
232 Version bump
233
234 *moodle-1.9.10 (29 Oct 2010)
235
236 29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
237 +moodle-1.9.10.ebuild:
238 Version bump
239
240 *moodle-1.9.9-r1 (13 Aug 2010)
241
242 13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
243 +moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
244 Ported to EAPI 2 USE deps. Bug #332165
245
246 *moodle-1.9.9 (19 Jul 2010)
247
248 19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
249 +files/config.php, +files/postinstall-en.txt,
250 +files/postinstall-nodb-en.txt, +metadata.xml:
251 New ebuild by Anthony G. Basile. Bug #104275

  ViewVC Help
Powered by ViewVC 1.1.20